digiKam Developer Documentation: Digikam::MaintenanceThread Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::MaintenanceThread Class Reference
Inheritance diagram for Digikam::MaintenanceThread:

## Signals
void | signalAddItemsToProcess (int count)
| Signal to emit the count of additional items to process.
void | signalAdvance ()
| Emit when an item was processed and on additional information is necessary.
void | signalAdvanceImage (const QImage &)
void | signalAdvanceInfo (const ItemInfo &, const QImage &)
void | signalAdvanceList (const ItemInfo &, const QImage &, const QStringList &)
| Emit when an item have been processed.
void | signalAdvanceProgress (const ItemInfo &, const QImage &, int)
void | signalCanceled ()
| Signal to emit to sub-tasks to cancel processing.
void | signalCompleted ()
| Emit when a items list have been fully processed.
void | signalData (const QList< qlonglong > &staleImageIds, const QList< int > &staleThumbIds, const QList< Identity > &staleIdentities, const QList< qlonglong > &staleSimilarityImageIds)
| Signal to emit junk data for db cleaner.
void | signalFinished (bool done, bool errorFree)
| Signal to emit after processing with info if the processing was done and if yes, without errors.
void | signalRemovePending (const ItemInfo &info)
| Signal to remove pending item from lazy sync.
void | signalStarted ()
| Emit when the task has started it's work.

## Public Member Functions
| MaintenanceThread (QObject *const parent)
void | cancel ()
void | cleanCoreDb (const QList< qlonglong > &imageIds)
void | cleanFacesDb (const QList< Identity > &staleIdentities)
void | cleanSimilarityDb (const QList< qlonglong > &imageIds)
void | cleanThumbsDb (const QList< int > &thumbnailIds)
void | computeDatabaseJunk (bool thumbsDb=false, bool facesDb=false, bool similarityDb=false)
void | generateFingerprints (const QList< qlonglong > &itemIds, bool rebuildAll)
void | generateThumbs (const QStringList &paths)
QString | getThumbFingerprintPath ()
void | removeMetadata (const ItemInfoList &items, MetadataRemover::RemoveAction action)
void | setUseMultiCore (const bool b)
void | shrinkDatabases ()
void | sortByImageQuality (const QStringList &paths, const ImageQualitySettings &quality)
void | syncMetadata (const ItemInfoList &items, MetadataSynchronizer::SyncDirection dir, bool tagsOnly)
Public Member Functions inherited from Digikam::ActionThreadBase
| ActionThreadBase (QObject *const parent=nullptr)
void | cancel (bool isCancel=true)
| Cancel processing of current jobs under progress.
int | expiryTimeout () const
int | maximumNumberOfThreads () const
void | setDefaultMaximumNumberOfThreads ()
| Reset maximum number of threads used to parallelize collection of job processing to max core detected on computer.
void | setExpiryTimeout (int timeout)
| Adjust the thread expiry timeout value in milliseconds.
void | setMaximumNumberOfThreads (int n)
| Adjust maximum number of threads used to parallelize collection of job processing.

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::ActionThreadBase
static void | setCurrentThreadName (const QString &name)
| Call this method to customize a thread name visible in a process viewer.
Protected Slots inherited from Digikam::ActionThreadBase
virtual void | slotJobFinished ()
Protected Member Functions inherited from Digikam::ActionThreadBase
void | appendJobs (const ActionJobCollection &jobs)
| Append a collection of jobs to process into QThreadPool.
bool | isEmpty () const
int | pendingCount () const
void | run () override
| Main thread loop used to process jobs in todo list.

## Member Function Documentation

## ◆ signalAdvanceList

void Digikam::MaintenanceThread::signalAdvanceList | ( | const ItemInfo & | ,
|  | const QImage & | ,
|  | const QStringList & |
| ) |  |
| signal

QImage can be used to pass item thumbnail processed.